      PROGRAM hec_adc
c
c program to provide simple access to atlas hadronic endcap 
c testbeam data
c 
c version 0.0         96  Denis Salihagic     
c    zebra structure and calls             
c
c version 1.0   11/07/96  Michel Lefebvre
c                         Pierre Savard
c                         and help from Hans-Peter Wellisch
c    rewritten, attempt at a top-down structured design!
c
c
      implicit none
c
c zebra and hbook common
c
      include'./inc/hec_buf.inc'
c
c user datacard values common
c
      include'./inc/hec_datacard.inc'
c
c initialization
c
      call hec_ini
c
c make pedestals if required
c
      if (make_ped .gt. 0) call hec_make_ped
c
c pass 1 over data set
c
      if (n_pass .ge. 1) call hec_pass1
c
c pass 2 over data set
c
      if (n_pass .ge. 2) call hec_pass2
c
c pass 3 over data set
c
c      if (n_pass .ge. 3) call hec_pass3
c
c pass 4 over data set
c
c      if (n_pass .ge. 4) call hec_pass4
c
c pass 5 over data set
c
c      if (n_pass .ge. 5) call hec_pass5
c
c termination
c
      call hec_ter
c
      print *,' *** hec_adc program normal termination'
      stop
      end
