c
c common for datacard values
c
c card     variable   
c
c npass    n_pass    number of analysis passes
c nevtm    n_evtmax  maximum number of events to analyse per pass
c runpd    irunpd    run period (1=may96, 2=jul96, 3=sep96)
c mpeds    make_ped  make pedestal flag (>0 make ped, >1 output ped)
c cpeds    scut_ped  sigma cut for pedestal production
c rpeds    k_rdped   pedestal file reading flag (>0 = read ped)
c rdcal    k_rdcal   read calibration flag      (>0 = read cal)
c lunpe    lunped    pedestal file logical unit number
c lunca    luncal    calibration file logical unit number
c lunze    lunzeb    input zebra file logical unit number
c
      integer n_pass
      integer n_evtmax
      integer irunpd
      integer make_ped
      real    scut_ped
      integer k_rdped
      integer k_rdcal
      integer lunped
      integer luncal
      integer lunzeb
c
      common /datcom/ n_pass,
     +                n_evtmax,
     +                irunpd,
     +                make_ped,
     +                scut_ped,
     +                k_rdped,
     +                k_rdcal,
     +                lunped,
     +                luncal,
     +                lunzeb

