      subroutine hec_evth
c
c read bank EVTH
c
      implicit none
c
c user datacard values common
c
      include'./inc/hec_datacard.inc'
c
c zebra and hbook common
c
      include'./inc/hec_buf.inc'
c
c event header EVTH common
c
      include'./inc/hec_evth.inc'
c
c local variables
c
      integer ind2
      integer j
      integer ipat
      integer mask
      integer bit
c
c read bank EVTH
c
      call fzin(lunzeb, ixstor, ievth, 2, ' ', 0, 0)
      if (iquest(1) .ne. 0) return
c
      ind2 = 2*ievth
c
c for each pattern unit, unpack bits and fill common
c
c pattern unit 1
c
      ipat = iq2(ind2 + 9)
      do j = 1, 16
        lpat_1(j) = .false.
        mask = 2**(j - 1)
        bit = iand(ipat, mask)
        if (bit .ne. 0) lpat_1(j) = .true.
      enddo
c
c pattern unit 2
c
      ipat = iq2(ind2 + 10)
      do j = 1, 16
        lpat_2(j) = .false.
        mask = 2**(j - 1)
        bit = iand(ipat, mask)
        if (bit .ne. 0) lpat_2(j) = .true.
      enddo
c
c pattern unit 3
c
      ipat = iq2(ind2 + 11)
      do j= 1, 16
        lpat_3(j) = .false.
        mask = 2**(j - 1)
        bit = iand(ipat, mask)
        if (bit .ne. 0) lpat_3(j) = .true.
      enddo
c
c pattern unit 4
c
      ipat = iq2(ind2 + 12)
      do j = 1, 16
        lpat_4(j) = .false.
        mask = 2**(j - 1)
        bit = iand(ipat, mask)
        if (bit .ne. 0) lpat_4(j) = .true.
      enddo
c
c      print *,' *** EVTH read'
c
      end
